commit:     1e75f71c461be4b2c613054d1943bc6214536e94
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 20 19:33:42 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Jul 20 19:33:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e75f71c

app-text/aspell: Bump to version 0.60.7_rc2

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-text/aspell/Manifest                 |   1 +
 app-text/aspell/aspell-0.60.7_rc2.ebuild | 103 +++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/app-text/aspell/Manifest b/app-text/aspell/Manifest
index 7ba272c2052..d91b0e49b78 100644
--- a/app-text/aspell/Manifest
+++ b/app-text/aspell/Manifest
@@ -1 +1,2 @@
 DIST aspell-0.60.7-rc1.tar.gz 2034916 BLAKE2B 
7518660b0bb7f75aa3b659519a97132675b39dac7e8806d5450d43f40d62683e4c4a41a8c18cd08b6ab9ca53911caeb87e0898eb04ad9d2f98185e2bb6033d5c
 SHA512 
e13240d78b8afd74d8a8cfd5fc7fe2081de85b33621e86543cdf942ed601d36c4e0cbf38a54be083e951127fa9435677cec2997387cb0e7b51a5597386e7e8d1
+DIST aspell-0.60.7-rc2.tar.gz 2064871 BLAKE2B 
74760cc10804d964bd7d7ee0097198ab26026e0bca2987223b7b58e67491e2d0914c7e24d63cb5540764017dc15358c023e1a3cf6240d5feec8d1dd25ddf6450
 SHA512 
f9f81efaaeaac4d2bc5b3018fe2cef9ed2406f2c648298465d983a012cf8ba3e25a46593c9833ac5d8b4c8cfca2ac3b76b476a4893ba880e4753770d134bead3

diff --git a/app-text/aspell/aspell-0.60.7_rc2.ebuild 
b/app-text/aspell/aspell-0.60.7_rc2.ebuild
new file mode 100644
index 00000000000..67647535050
--- /dev/null
+++ b/app-text/aspell/aspell-0.60.7_rc2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic libtool toolchain-funcs
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="A spell checker replacement for ispell"
+HOMEPAGE="http://aspell.net/";
+if [[ "${PV}" = *_rc* ]] ; then
+       SRC_URI="mirror://gnu-alpha/aspell/${MY_P}.tar.gz"
+else
+       SRC_URI="mirror://gnu/aspell/${MY_P}.tar.gz"
+fi
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="nls unicode"
+
+PDEPEND="app-dicts/aspell-en"
+LANGS="af be bg br ca cs cy da de de-1901 el en eo es et fi fo fr ga gl he hr
+hu hy is it la lt nl no pl pt pt-BR ro ru sk sl sr sv uk vi"
+for lang in ${LANGS}; do
+       IUSE+=" l10n_${lang}"
+       case ${lang} in
+               de-1901) dict="de-alt"  ;;
+               pt-BR)   dict="pt-br"   ;;
+               *)       dict="${lang}" ;;
+       esac
+       PDEPEND+=" l10n_${lang}? ( app-dicts/aspell-${dict} )"
+done
+unset dict lang LANGS
+
+# English dictionary 0.5 is incompatible with aspell-0.6
+RDEPEND="
+       sys-libs/ncurses:0=[unicode?]
+       nls? ( virtual/libintl )
+       !=app-dicts/aspell-en-0.5*
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+HTML_DOCS=( manual/aspell{,-dev}.html )
+PATCHES=(
+       "${FILESDIR}/${PN}-0.60.5-nls.patch"
+       "${FILESDIR}/${PN}-0.60.5-solaris.patch"
+       "${FILESDIR}/${PN}-0.60.6-darwin-bundles.patch"
+       "${FILESDIR}/${PN}-0.60.6.1-clang.patch"
+       # includes fix for bug #467602
+       "${FILESDIR}/${PN}-0.60.6.1-unicode.patch"
+)
+
+src_prepare() {
+       default
+
+       rm m4/lt* m4/libtool.m4 || die
+       eautoreconf
+       elibtoolize --reverse-deps
+
+       # Parallel install of libtool libraries doesn't always work.
+       # https://lists.gnu.org/archive/html/libtool/2011-03/msg00003.html
+       # This has to be after automake has run so that we don't clobber
+       # the default target that automake creates for us.
+       echo 'install-filterLTLIBRARIES: install-libLTLIBRARIES' >> Makefile.in 
|| die
+
+       # unicode patch breaks on Darwin, NCURSES_WIDECHAR won't get set
+       # any more.  Fix this.
+       [[ ${CHOST} == *-darwin* ]] || [[ ${CHOST} == *-musl* ]] && use unicode 
&& \
+               append-cppflags -DNCURSES_WIDECHAR=1
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable nls)
+               $(use_enable unicode)
+               --disable-static
+               --sysconfdir="${EPREFIX}"/etc/aspell
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       docinto examples
+       dodoc "${S}"/examples/*.c
+
+       # install ispell/aspell compatibility scripts
+       newbin scripts/ispell ispell-aspell
+       newbin scripts/spell spell-aspell
+
+       # we explicitly pass '--disable-static' to econf,
+       # hence we can delete .la files unconditionally
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to